Index: display/DelphesEventDisplay.cc
===================================================================
--- display/DelphesEventDisplay.cc	(revision 5fbcfe80e40de6add76bb12b8e0daf48a1c4dc7d)
+++ display/DelphesEventDisplay.cc	(revision 8b04b31e4c2aa65af07503f648c46d00a7598872)
@@ -46,4 +46,5 @@
 #include "TGButton.h"
 #include "TClonesArray.h"
+#include "TEveEventManager.h"
 
 DelphesEventDisplay::DelphesEventDisplay()
@@ -255,7 +256,67 @@
    delphesDisplay_->DestroyEventRhoZ();
    delphesDisplay_->ImportEventRhoZ(top);
-   //update_html_summary();
+   update_html_summary();
 
    gEve->Redraw3D(kFALSE, kTRUE);
+}
+
+void DelphesEventDisplay::update_html_summary()
+{
+   // Update summary of current event.
+
+   TEveElement::List_i i;
+   TEveElement::List_i j;
+   Int_t k;
+   TEveElement *el;
+   DelphesHtmlObjTable *table;
+   TEveEventManager *mgr = gEve ? gEve->GetCurrentEvent() : 0;
+   if (mgr) {
+      htmlSummary_->Clear("D");
+      for (i=mgr->BeginChildren(); i!=mgr->EndChildren(); ++i) {
+         el = ((TEveElement*)(*i));
+         if (el->IsA() == TEvePointSet::Class()) {
+            TEvePointSet *ps = (TEvePointSet *)el;
+            TString ename  = ps->GetElementName();
+            TString etitle = ps->GetElementTitle();
+            if (ename.First('\'') != kNPOS)
+               ename.Remove(ename.First('\''));
+            etitle.Remove(0, 2);
+            Int_t nel = atoi(etitle.Data());
+            table = htmlSummary_->AddTable(ename, 0, nel);
+         }
+         else if (el->IsA() == TEveTrackList::Class()) {
+            TEveTrackList *tracks = (TEveTrackList *)el;
+            TString ename  = tracks->GetElementName();
+            if (ename.First('\'') != kNPOS)
+               ename.Remove(ename.First('\''));
+            table = htmlSummary_->AddTable(ename.Data(), 5, 
+                     tracks->NumChildren(), kTRUE, "first");
+            table->SetLabel(0, "Momentum");
+            table->SetLabel(1, "P_t");
+            table->SetLabel(2, "Phi");
+            table->SetLabel(3, "Theta");
+            table->SetLabel(4, "Eta");
+            k=0;
+            for (j=tracks->BeginChildren(); j!=tracks->EndChildren(); ++j) {
+               Float_t p     = ((TEveTrack*)(*j))->GetMomentum().Mag();
+               table->SetValue(0, k, p);
+               Float_t pt    = ((TEveTrack*)(*j))->GetMomentum().Perp();
+               table->SetValue(1, k, pt);
+               Float_t phi   = ((TEveTrack*)(*j))->GetMomentum().Phi();
+               table->SetValue(2, k, phi);
+               Float_t theta = ((TEveTrack*)(*j))->GetMomentum().Theta();
+               table->SetValue(3, k, theta);
+               Float_t eta   = theta>0.0005 && theta<3.1413 ? ((TEveTrack*)(*j))->GetMomentum().Eta() : 1e10;
+               table->SetValue(4, k, eta);
+               ++k;
+            }
+         }
+      }
+      htmlSummary_->Build();
+      gHtml_->Clear();
+      gHtml_->ParseText((char*)htmlSummary_->Html().Data());
+      gHtml_->Layout();
+   }
+  
 }
 
Index: display/DelphesEventDisplay.h
===================================================================
--- display/DelphesEventDisplay.h	(revision 5fbcfe80e40de6add76bb12b8e0daf48a1c4dc7d)
+++ display/DelphesEventDisplay.h	(revision 8b04b31e4c2aa65af07503f648c46d00a7598872)
@@ -46,4 +46,5 @@
 
   private:
+    void update_html_summary();
     void make_gui();
     void load_event();
Index: display/DelphesHtmlSummary.cc
===================================================================
--- display/DelphesHtmlSummary.cc	(revision 5fbcfe80e40de6add76bb12b8e0daf48a1c4dc7d)
+++ display/DelphesHtmlSummary.cc	(revision 8b04b31e4c2aa65af07503f648c46d00a7598872)
@@ -214,63 +214,2 @@
 }
 
-//==============================================================================
-
-//______________________________________________________________________________
-void update_html_summary()
-{
-   // Update summary of current event.
-
-   TEveElement::List_i i;
-   TEveElement::List_i j;
-   Int_t k;
-   TEveElement *el;
-   DelphesHtmlObjTable *table;
-   TEveEventManager *mgr = gEve ? gEve->GetCurrentEvent() : 0;
-   if (mgr) {
-      fgDelphesHtmlSummary->Clear("D");
-      for (i=mgr->BeginChildren(); i!=mgr->EndChildren(); ++i) {
-         el = ((TEveElement*)(*i));
-         if (el->IsA() == TEvePointSet::Class()) {
-            TEvePointSet *ps = (TEvePointSet *)el;
-            TString ename  = ps->GetElementName();
-            TString etitle = ps->GetElementTitle();
-            if (ename.First('\'') != kNPOS)
-               ename.Remove(ename.First('\''));
-            etitle.Remove(0, 2);
-            Int_t nel = atoi(etitle.Data());
-            table = fgDelphesHtmlSummary->AddTable(ename, 0, nel);
-         }
-         else if (el->IsA() == TEveTrackList::Class()) {
-            TEveTrackList *tracks = (TEveTrackList *)el;
-            TString ename  = tracks->GetElementName();
-            if (ename.First('\'') != kNPOS)
-               ename.Remove(ename.First('\''));
-            table = fgDelphesHtmlSummary->AddTable(ename.Data(), 5, 
-                     tracks->NumChildren(), kTRUE, "first");
-            table->SetLabel(0, "Momentum");
-            table->SetLabel(1, "P_t");
-            table->SetLabel(2, "Phi");
-            table->SetLabel(3, "Theta");
-            table->SetLabel(4, "Eta");
-            k=0;
-            for (j=tracks->BeginChildren(); j!=tracks->EndChildren(); ++j) {
-               Float_t p     = ((TEveTrack*)(*j))->GetMomentum().Mag();
-               table->SetValue(0, k, p);
-               Float_t pt    = ((TEveTrack*)(*j))->GetMomentum().Perp();
-               table->SetValue(1, k, pt);
-               Float_t phi   = ((TEveTrack*)(*j))->GetMomentum().Phi();
-               table->SetValue(2, k, phi);
-               Float_t theta = ((TEveTrack*)(*j))->GetMomentum().Theta();
-               table->SetValue(3, k, theta);
-               Float_t eta   = ((TEveTrack*)(*j))->GetMomentum().Eta();
-               table->SetValue(4, k, eta);
-               ++k;
-            }
-         }
-      }
-      fgDelphesHtmlSummary->Build();
-      fgHtml->Clear();
-      fgHtml->ParseText((char*)fgDelphesHtmlSummary->Html().Data());
-      fgHtml->Layout();
-   }
-}
